import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-24 13:17
 */
export interface MsK8sDeployment {
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * state
    * @type { number }
    */
    state?: number;
    /**
    * k8sId
    * @type { string }
    */
    k8sId?: string;
    /**
    * namespace
    * @type { string }
    */
    namespace?: string;
    /**
    * envCode
    * @type { string }
    */
    envCode?: string;
    /**
    * deploymentId
    * @type { string }
    */
    deploymentId?: string;
    /**
    * content
    * @type { string }
    */
    content?: string;
}
export declare class MsK8sDeploymentMI {
    static get ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get STATE(): FieldInfo;
    static get K8S_ID(): FieldInfo;
    static get NAMESPACE(): FieldInfo;
    static get ENV_CODE(): FieldInfo;
    static get DEPLOYMENT_ID(): FieldInfo;
    static get CONTENT(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-24 13:17
 */
export interface MsK8sPod {
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * state
    * @type { number }
    */
    state?: number;
    /**
    * k8sId
    * @type { string }
    */
    k8sId?: string;
    /**
    * namespace
    * @type { string }
    */
    namespace?: string;
    /**
    * envCode
    * @type { string }
    */
    envCode?: string;
    /**
    * deploymentId
    * @type { string }
    */
    deploymentId?: string;
    /**
    * podId
    * @type { string }
    */
    podId?: string;
    /**
    * ip
    * @type { string }
    */
    ip?: string;
    /**
    * port
    * @type { number }
    */
    port?: number;
    /**
    * envMap
    * @type { string }
    */
    envMap?: string;
    /**
    * content
    * @type { string }
    */
    content?: string;
}
export declare class MsK8sPodMI {
    static get ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get STATE(): FieldInfo;
    static get K8S_ID(): FieldInfo;
    static get NAMESPACE(): FieldInfo;
    static get ENV_CODE(): FieldInfo;
    static get DEPLOYMENT_ID(): FieldInfo;
    static get POD_ID(): FieldInfo;
    static get IP(): FieldInfo;
    static get PORT(): FieldInfo;
    static get ENV_MAP(): FieldInfo;
    static get CONTENT(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-24 13:17
 */
export interface MsRunning {
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * state
    * @type { number }
    */
    state?: number;
    /**
    * projectId
    * @type { string }
    */
    projectId?: string;
    /**
    * 部署id
    * @type { string }
    */
    deployId?: string;
    /**
    * 项目代码
    * @type { string }
    */
    pid?: string;
    /**
    * 项目版本
    * @type { string }
    */
    projectVersion?: string;
    /**
    * 是否默认版本
    * @type { boolean }
    */
    defaultVersion?: boolean;
    /**
    * 端口
    * @type { number }
    */
    port?: number;
    /**
    * authType
    * @type { number }
    */
    authType?: number;
    /**
    * 环境类型: dev/test/prod
    * @type { string }
    */
    env?: string;
    /**
    * 环境代码
    * @type { string }
    */
    envCode?: string;
    /**
    * 容器id
    * @type { string }
    */
    podId?: string;
    /**
    * K8S ID
    * @type { string }
    */
    k8sId?: string;
}
export declare class MsRunningMI {
    static get ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get STATE(): FieldInfo;
    static get PROJECT_ID(): FieldInfo;
    static get DEPLOY_ID(): FieldInfo;
    static get PID(): FieldInfo;
    static get PROJECT_VERSION(): FieldInfo;
    static get DEFAULT_VERSION(): FieldInfo;
    static get PORT(): FieldInfo;
    static get AUTH_TYPE(): FieldInfo;
    static get ENV(): FieldInfo;
    static get ENV_CODE(): FieldInfo;
    static get POD_ID(): FieldInfo;
    static get K8S_ID(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-24 13:17
 */
export interface MsRunningTarget {
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * 項目ID
    * @type { string }
    */
    projectId?: string;
    /**
    * 项目pid
    * @type { string }
    */
    pid?: string;
    /**
    * 项目版本
    * @type { string }
    */
    projectVersion?: string;
    /**
    * 项目版本ID
    * @type { string }
    */
    projectVersionId?: string;
    /**
    * 服务提供者所处位置（InsideNet或K8sCluster）
    * @type { string }
    */
    msLocation?: string;
    /**
    * 网关地址
    * @type { string }
    */
    gatewayUrl?: string;
    /**
    * 关联配置
    * @type { string }
    */
    configRequires?: string;
    /**
    * 主机ip
    * @type { string }
    */
    host?: string;
    /**
    * 端口
    * @type { string }
    */
    port?: string;
    /**
    * 权重
    * @type { string }
    */
    weight?: string;
    /**
    * 环境类型: dev/test/prod
    * @type { string }
    */
    env?: string;
    /**
    * 环境代码
    * @type { string }
    */
    envCode?: string;
    /**
    * 区域
    * @type { number }
    */
    areaId?: number;
    /**
    * 是否健康: 0：未知， 1：健康，-1：不健康
    * @type { number }
    */
    health?: number;
    /**
    * 主机最后活动时间戳
    * @type { Date }
    */
    lastActiveTime?: Date;
    /**
    * 主机最后轮询时间戳
    * @type { Date }
    */
    lastPollingTime?: Date;
    /**
    * 部署id
    * @type { string }
    */
    deployId?: string;
    /**
    * 容器id
    * @type { string }
    */
    podId?: string;
    /**
    * K8S ID
    * @type { string }
    */
    k8sId?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * state
    * @type { number }
    */
    state?: number;
}
export declare class MsRunningTargetMI {
    static get ID(): FieldInfo;
    static get PROJECT_ID(): FieldInfo;
    static get PID(): FieldInfo;
    static get PROJECT_VERSION(): FieldInfo;
    static get PROJECT_VERSION_ID(): FieldInfo;
    static get MS_LOCATION(): FieldInfo;
    static get GATEWAY_URL(): FieldInfo;
    static get CONFIG_REQUIRES(): FieldInfo;
    static get HOST(): FieldInfo;
    static get PORT(): FieldInfo;
    static get WEIGHT(): FieldInfo;
    static get ENV(): FieldInfo;
    static get ENV_CODE(): FieldInfo;
    static get AREA_ID(): FieldInfo;
    static get HEALTH(): FieldInfo;
    static get LAST_ACTIVE_TIME(): FieldInfo;
    static get LAST_POLLING_TIME(): FieldInfo;
    static get DEPLOY_ID(): FieldInfo;
    static get POD_ID(): FieldInfo;
    static get K8S_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get STATE(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-24 13:17
 */
export interface BeMsDeployChangeHistory {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 部署配置ID
    * @type { string }
    */
    deployId?: string;
    /**
    * 基础镜像描述
    * @type { string }
    */
    basicImageDesc?: string;
    /**
    * 部署规格描述
    * @type { string }
    */
    deployTemplateDesc?: string;
    /**
    * 部署YMAL
    * @type { string }
    */
    deployYmal?: string;
    /**
    * 版本号
    * @type { string }
    */
    versionNo?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class BeMsDeployChangeHistoryMI {
    static get ID(): FieldInfo;
    static get DEPLOY_ID(): FieldInfo;
    static get BASIC_IMAGE_DESC(): FieldInfo;
    static get DEPLOY_TEMPLATE_DESC(): FieldInfo;
    static get DEPLOY_YMAL(): FieldInfo;
    static get VERSION_NO(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-24 13:17
 */
export interface PrjDeployConf {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * project_id
    * @type { string }
    */
    projectId?: string;
    /**
    * 项目服务ID
    * @type { string }
    */
    pid?: string;
    /**
    * 主版本
    * @type { number }
    */
    major?: number;
    /**
    * 次版本号
    * @type { string }
    */
    minorVersionNo?: string;
    /**
    * revision版本号
    * @type { string }
    */
    versionNo?: string;
    /**
    * 次版本ID
    * @type { string }
    */
    minorVersionId?: string;
    /**
    * 修订版本ID
    * @type { string }
    */
    revisionVersionId?: string;
    /**
    * 环境ID
    * @type { string }
    */
    envId?: string;
    /**
    * 环境代码
    * @type { string }
    */
    envCode?: string;
    /**
    * TEST、PROD
    * @type { string }
    */
    envType?: string;
    /**
    * default_version
    * @type { boolean }
    */
    defaultVersion?: boolean;
    /**
    * 0:手动、1:自动
    * @type { string }
    */
    deployMethod?: string;
    /**
    * 日志模板ID
    * @type { string }
    */
    logConfigTemplateId?: string;
    /**
    * instance_cpu
    * @type { number }
    */
    instanceCpu?: number;
    /**
    * instance_memory
    * @type { number }
    */
    instanceMemory?: number;
    /**
    * min_instance
    * @type { number }
    */
    minInstance?: number;
    /**
    * max_instance
    * @type { number }
    */
    maxInstance?: number;
    /**
    * 运行状态
    * @type { number }
    */
    runStatus?: number;
    /**
    * 部署状态
    * @type { number }
    */
    deployStatus?: number;
    /**
    * 部署信息,日志描述
    * @type { string }
    */
    deployMsg?: string;
    /**
    * 部署参数
    * @type { string }
    */
    deployParameters?: string;
    /**
    * 环境变量
    * @type { string }
    */
    envVariable?: string;
    /**
    * 项目commitId
    * @type { string }
    */
    commitId?: string;
    /**
    * 项目Tag
    * @type { string }
    */
    commitTag?: string;
    /**
    * K8S集群配置ID
    * @type { string }
    */
    k8sId?: string;
    /**
    * Kafka配置ID
    * @type { string }
    */
    kafkaId?: string;
    /**
    * K8S 配置
    * @type { string }
    */
    k8sConfig?: string;
    /**
    * Kafka配置
    * @type { string }
    */
    kafkaConfig?: string;
    /**
    * 日志配置
    * @type { string }
    */
    logConfig?: string;
    /**
    * prj_type
    * @type { string }
    */
    prjType?: string;
    /**
    * app_options_config
    * @type { string }
    */
    appOptionsConfig?: string;
    /**
    * k8s_cluster_id
    * @type { string }
    */
    k8sClusterId?: string;
    /**
    * metrics_template_id
    * @type { string }
    */
    metricsTemplateId?: string;
    /**
    * 订阅id
    * @type { string }
    */
    subscriptionId?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 修改人ID
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 创建人ID
    * @type { string }
    */
    createUserId?: string;
}
export declare class PrjDeployConfMI {
    static get ID(): FieldInfo;
    static get PROJECT_ID(): FieldInfo;
    static get PID(): FieldInfo;
    static get MAJOR(): FieldInfo;
    static get MINOR_VERSION_NO(): FieldInfo;
    static get VERSION_NO(): FieldInfo;
    static get MINOR_VERSION_ID(): FieldInfo;
    static get REVISION_VERSION_ID(): FieldInfo;
    static get ENV_ID(): FieldInfo;
    static get ENV_CODE(): FieldInfo;
    static get ENV_TYPE(): FieldInfo;
    static get DEFAULT_VERSION(): FieldInfo;
    static get DEPLOY_METHOD(): FieldInfo;
    static get LOG_CONFIG_TEMPLATE_ID(): FieldInfo;
    static get INSTANCE_CPU(): FieldInfo;
    static get INSTANCE_MEMORY(): FieldInfo;
    static get MIN_INSTANCE(): FieldInfo;
    static get MAX_INSTANCE(): FieldInfo;
    static get RUN_STATUS(): FieldInfo;
    static get DEPLOY_STATUS(): FieldInfo;
    static get DEPLOY_MSG(): FieldInfo;
    static get DEPLOY_PARAMETERS(): FieldInfo;
    static get ENV_VARIABLE(): FieldInfo;
    static get COMMIT_ID(): FieldInfo;
    static get COMMIT_TAG(): FieldInfo;
    static get K8S_ID(): FieldInfo;
    static get KAFKA_ID(): FieldInfo;
    static get K8S_CONFIG(): FieldInfo;
    static get KAFKA_CONFIG(): FieldInfo;
    static get LOG_CONFIG(): FieldInfo;
    static get PRJ_TYPE(): FieldInfo;
    static get APP_OPTIONS_CONFIG(): FieldInfo;
    static get K8S_CLUSTER_ID(): FieldInfo;
    static get METRICS_TEMPLATE_ID(): FieldInfo;
    static get SUBSCRIPTION_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-24 13:17
 */
export interface BeMsDeployStatusLog {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 部署配置ID
    * @type { string }
    */
    deployId?: string;
    /**
    * POD_ID
    * @type { string }
    */
    podId?: string;
    /**
    * IP
    * @type { string }
    */
    ip?: string;
    /**
    * 00:正常，01：异常
    * @type { string }
    */
    status?: string;
    /**
    * 环境代码
    * @type { string }
    */
    envCode?: string;
    /**
    * 重启次数
    * @type { number }
    */
    restartTotal?: number;
    /**
    * 版本号
    * @type { string }
    */
    versionNo?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * phase
    * @type { string }
    */
    phase?: string;
}
export declare class BeMsDeployStatusLogMI {
    static get ID(): FieldInfo;
    static get DEPLOY_ID(): FieldInfo;
    static get POD_ID(): FieldInfo;
    static get IP(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get ENV_CODE(): FieldInfo;
    static get RESTART_TOTAL(): FieldInfo;
    static get VERSION_NO(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get PHASE(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-24 13:17
 */
export interface MsDeployLog {
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * state
    * @type { number }
    */
    state?: number;
    /**
    * projectId
    * @type { string }
    */
    projectId?: string;
    /**
    * prjCommitId
    * @type { string }
    */
    prjCommitId?: string;
    /**
    * buildTag
    * @type { string }
    */
    buildTag?: string;
    /**
    * appName
    * @type { string }
    */
    appName?: string;
    /**
    * 部署配置id
    * @type { string }
    */
    deployId?: string;
    /**
    * pid
    * @type { string }
    */
    pid?: string;
    /**
    * envType
    * @type { string }
    */
    envType?: string;
    /**
    * envCode
    * @type { string }
    */
    envCode?: string;
    /**
    * namespaceK8s
    * @type { string }
    */
    namespaceK8s?: string;
    /**
    * k8sClusterId
    * @type { string }
    */
    k8sClusterId?: string;
    /**
    * projectVersionId
    * @type { string }
    */
    projectVersionId?: string;
    /**
    * versionNo
    * @type { string }
    */
    versionNo?: string;
    /**
    * 镜像仓库完整地址
    * @type { string }
    */
    image?: string;
    /**
    * k8s-deployment名称
    * @type { string }
    */
    k8sDeployment?: string;
    /**
    * k8s-deployment滚动升级tag
    * @type { number }
    */
    k8sDeploymentTag?: number;
    /**
    * cpu：最小0.5最大64
    * @type { string }
    */
    cpu?: string;
    /**
    * 内存: 单位-GiB, 最小0.5,最大256"
    * @type { string }
    */
    memory?: string;
    /**
    * 服务暴露端口
    * @type { number }
    */
    servicePort?: number;
    /**
    * 容器内部端口
    * @type { number }
    */
    containerPort?: number;
    /**
    * 初始副本数
    * @type { number }
    */
    replicas?: number;
    /**
    * 最大副本数
    * @type { number }
    */
    replicasMax?: number;
    /**
    * 启动命令
    * @type { string }
    */
    startCmdLine?: string;
    /**
    * 启动参数
    * @type { string }
    */
    startParams?: string;
    /**
    * 环境变量json
    * @type { string }
    */
    envJson?: string;
    /**
    * kafka主机
    * @type { string }
    */
    kafkaHosts?: string;
    /**
    * kafka-topic
    * @type { string }
    */
    kafkaTopic?: string;
    /**
    * deployStatus
    * @type { number }
    */
    deployStatus?: number;
    /**
    * 部署信息
    * @type { string }
    */
    deployMsg?: string;
    /**
    * k8sConfig
    * @type { string }
    */
    k8sConfig?: string;
    /**
    * imageServiceConfig
    * @type { string }
    */
    imageServiceConfig?: string;
    /**
    * kafkaConfig
    * @type { string }
    */
    kafkaConfig?: string;
    /**
    * logConfigTemplateId
    * @type { string }
    */
    logConfigTemplateId?: string;
    /**
    * logConfig
    * @type { string }
    */
    logConfig?: string;
    /**
    * envConfigRefId
    * @type { string }
    */
    envConfigRefId?: string;
}
export declare class MsDeployLogMI {
    static get ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get STATE(): FieldInfo;
    static get PROJECT_ID(): FieldInfo;
    static get PRJ_COMMIT_ID(): FieldInfo;
    static get BUILD_TAG(): FieldInfo;
    static get APP_NAME(): FieldInfo;
    static get DEPLOY_ID(): FieldInfo;
    static get PID(): FieldInfo;
    static get ENV_TYPE(): FieldInfo;
    static get ENV_CODE(): FieldInfo;
    static get NAMESPACE_K8S(): FieldInfo;
    static get K8S_CLUSTER_ID(): FieldInfo;
    static get PROJECT_VERSION_ID(): FieldInfo;
    static get VERSION_NO(): FieldInfo;
    static get IMAGE(): FieldInfo;
    static get K8S_DEPLOYMENT(): FieldInfo;
    static get K8S_DEPLOYMENT_TAG(): FieldInfo;
    static get CPU(): FieldInfo;
    static get MEMORY(): FieldInfo;
    static get SERVICE_PORT(): FieldInfo;
    static get CONTAINER_PORT(): FieldInfo;
    static get REPLICAS(): FieldInfo;
    static get REPLICAS_MAX(): FieldInfo;
    static get START_CMD_LINE(): FieldInfo;
    static get START_PARAMS(): FieldInfo;
    static get ENV_JSON(): FieldInfo;
    static get KAFKA_HOSTS(): FieldInfo;
    static get KAFKA_TOPIC(): FieldInfo;
    static get DEPLOY_STATUS(): FieldInfo;
    static get DEPLOY_MSG(): FieldInfo;
    static get K8S_CONFIG(): FieldInfo;
    static get IMAGE_SERVICE_CONFIG(): FieldInfo;
    static get KAFKA_CONFIG(): FieldInfo;
    static get LOG_CONFIG_TEMPLATE_ID(): FieldInfo;
    static get LOG_CONFIG(): FieldInfo;
    static get ENV_CONFIG_REF_ID(): FieldInfo;
}
